Bug 276061 - add load-average limiting to makehistory
add load-average limiting to makehistory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 07:59 EDT by Jonathan Kamens
Modified: 2009-06-24 04:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: inn-2.5.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 04:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add -L load-average to makehistory (2.99 KB, patch)
2007-09-04 07:59 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2007-09-04 07:59:27 EDT
The computer on which I run innd is used for many other things, including as my 
desktop PC.  When it restarts uncleanly (which has been happening often 
recently, since Rawhide keeps pushing out new kernels which hang my computer) 
and makehistory runs on reboot, it hoses the system to such a large extent that 
I can't get any other work done until it's done.  Perhaps this is because I 
have bad disks or because I'm using IDE instead of the better-performing SATA 
or SCSI, but in any case, I came up with a very simple idea for solving the 
problem which I thought might be useful to others as well, so I'm submitting it 
as a patch for consideration.

I added a "-L" argument to makehistory to specify a load average limit.  If the 
system load average exceeds the specified limit, makehistory sleeps until it 
goes below the limit.  With this change in place, I simply 
modified /etc/rc.news to add "-L 2" to the makehistory invocation, and presto, 
my machine is perfectly useable while makehistory is running.

Please see attached patch.
Comment 1 Jonathan Kamens 2007-09-04 07:59:27 EDT
Created attachment 186101 [details]
patch to add -L load-average to makehistory
Comment 2 Bug Zapper 2008-05-13 23:10:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 18:48:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ondrej Vasik 2009-06-22 08:58:36 EDT
Sorry for so long without (non-automatic) response, it got lost somehow in my list of bugs...

Thanks for suggestion and patch.
I reported this and proposed a bit modified patch on inn-patches@isc.org (further redirected to inn-workers@isc.org).  See https://lists.isc.org/pipermail/inn-workers/2009-June/016788.html for details if you want. 

Russ Albery's reply "I'm not sure that I understand why this is a reasonable solution. makehistory is a maintenance program that isn't ever run automatically. If the administrator, while running it manually, would like it not to dominate the system, isn't that what the nice command is for?" seems to be correct for me 

Usage of makehistory is not enabled by default in /etc/rc.news file - just in comment as example. As upstream seems to be not interested in this change, closing that bugzilla WONTFIX. Modification of that comment was proposed (to use nice with lower priority by default) was proposed.
Comment 5 Ondrej Vasik 2009-06-24 03:17:37 EDT
Well, it seems I misunderstood upstream list communication, now it looks like they accepted it in http://inn.eyrie.org/trac/changeset/8534/trunk . So removing WONTFIX, will add it in rawhide soon.
Comment 6 Ondrej Vasik 2009-06-24 04:44:39 EDT
Added and built as inn-2.5.0-2.fc12 , closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.